# Method: edits.validate

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/edits/validate#try-it)

Validates an app edit.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/edits/{editId}:validate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `editId` | `string` Identifier of the edit. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/android-publisher/api-ref/rest/v3/edits#AppEdit`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`